## kpipewire 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(KPipewire)
set(PROJECT_VERSION "6.5.1")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)

set(KF6_MIN_VERSION "6.18.0")
find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

find_package(Qt6 REQUIRED COMPONENTS DBus OpenGL Quick)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 REQUIRED COMPONENTS I18n CoreAddons)

find_package(EGL REQUIRED)

pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3 REQUIRED)

# ffmpeg, for recording
pkg_check_modules(AVCodec IMPORTED_TARGET libavcodec REQUIRED)
pkg_check_modules(AVUtil IMPORTED_TARGET libavutil REQUIRED)
pkg_check_modules(AVFormat IMPORTED_TARGET libavformat REQUIRED)
pkg_check_modules(AVFilter IMPORTED_TARGET libavfilter REQUIRED)
pkg_check_modules(GBM IMPORTED_TARGET gbm REQUIRED)
pkg_check_modules(SWScale IMPORTED_TARGET libswscale REQUIRED)
find_package(epoxy 1.3 REQUIRED)
find_package(Libdrm 2.4.62 REQUIRED)
pkg_check_modules(LIBVA IMPORTED_TARGET libva REQUIRED)
pkg_check_modules(LIBVA-drm IMPORTED_TARGET libva-drm REQUIRED)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

# Prevent EGL headers from including platform headers, in particular Xlib.h.
add_definitions(-DMESA_EGL_NO_X11_HEADERS)
add_definitions(-DEGL_NO_X11)
add_definitions(-DEGL_NO_PLATFORM_SPECIFIC_TYPES)

ecm_set_disabled_deprecation_versions(QT 6.9.0
   KF 6.16.0
)

if (BUILD_TESTING)
   find_package(PlasmaWaylandProtocols REQUIRED)
   include(ECMAddTests)
   find_package(Qt6 REQUIRED COMPONENTS Test QuickTest)
   add_subdirectory(tests)
endif()
add_subdirectory(src)

ki18n_install(po)

=== src/CMakeLists.txt ===
include(ECMGenerateExportHeader)
include(ECMQmlModule)
include(ECMGenerateHeaders)
include(ECMSetupVersion)

add_definitions(-DTRANSLATION_DOMAIN=\"kpipewire6\")

add_library(KPipeWire)

ecm_qt_declare_logging_category(kpipewire_SRCS
                            HEADER logging.h
                            IDENTIFIER PIPEWIRE_LOGGING
                            CATEGORY_NAME kpipewire_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire components for KDE"
                            EXPORT KPipeWire)
ecm_qt_declare_logging_category(kpipewire_SRCS
                            HEADER logging_vaapi.h
                            IDENTIFIER PIPEWIREVAAPI_LOGGING
                            CATEGORY_NAME kpipewire_vaapi_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire components for KDE - VAAPI related messages"
                            EXPORT KPipeWire)
ecm_qt_declare_logging_category(kpipewiredmabuf_SRCS
                            HEADER logging_dmabuf.h
                            IDENTIFIER PIPEWIREDMABUF_LOGGING
                            CATEGORY_NAME kpipewire_dmabuf_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire and DMABuf components for KDE"
                            EXPORT KPipeWireDmaBuf)
ecm_qt_declare_logging_category(kpipewirerecord_SRCS
                            HEADER logging_record.h
                            IDENTIFIER PIPEWIRERECORD_LOGGING
                            CATEGORY_NAME kpipewire_record_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire and FFmpeg components for KDE"
                            EXPORT KPipeWireRecord)
ecm_qt_declare_logging_category(kpipewirerecord_SRCS
                            HEADER logging_frame_statistics.h
                            IDENTIFIER PIPEWIRERECORDFRAMESTATS_LOGGING
                            CATEGORY_NAME kpipewire_record_framestatistics
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire and FFmpeg components for KDE - Frame processing statistics"
                            EXPORT KPipeWireRecord)
ecm_qt_declare_logging_category(kpipewirerecord_SRCS
                            HEADER logging_libav.h
                            IDENTIFIER PIPEWIRELIBAV_LOGGING
                            CATEGORY_NAME kpipewire_libav_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire components for KDE - libav log output"
                            DEFAULT_SEVERITY Info)

ecm_qt_install_logging_categories(
    EXPORT KPipeWire
    FILE kpipewire.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

ecm_qt_install_logging_categories(
    EXPORT KPipeWireRecord
    FILE kpipewirerecord.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

target_sources(KPipeWire PRIVATE
    pipewirecore.cpp
    pipewiresourceitem.cpp
    pipewiresourcestream.cpp
    glhelpers.cpp
    pwhelpers.cpp
    vaapiutils.cpp
    ${kpipewire_SRCS}
)

# these are features pipewire use extensively and make it hard to look at compile logs
target_compile_options(KPipeWire PUBLIC -Wno-zero-as-null-pointer-constant -Wno-missing-field-initializers -Wno-cast-align -Wno-pedantic)

target_link_libraries(KPipeWire PRIVATE Qt::Quick Qt::GuiPrivate Qt::OpenGL KF6::I18n
    KF6::CoreAddons PkgConfig::PipeWire epoxy::epoxy PkgConfig::GBM Libdrm::Libdrm PkgConfig::LIBVA PkgConfig::LIBVA-drm)

target_link_libraries(KPipeWire PRIVATE EGL::EGL)

target_include_directories(KPipeWire PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                     PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>" ${PipeWire_INCLUDE_DIRS}
                                     INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPipeWire>")
set_target_properties(KPipeWire PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

ecm_generate_export_header(KPipeWire
    BASE_NAME KPipeWire
    VERSION ${PROJECT_VERSION}
)

ecm_generate_headers(KPipeWire_HEADERS
  HEADER_NAMES
  PipeWireSourceStream
  PipeWireSourceItem
  REQUIRED_HEADERS KPipeWire_HEADERS
)

install(FILES
  ${KPipeWire_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kpipewire_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

add_library(KPipeWireDmaBuf dmabufhandler.cpp ${kpipewiredmabuf_SRCS})
target_link_libraries(KPipeWireDmaBuf PUBLIC KPipeWire
    PRIVATE Qt::Core Qt::Gui PkgConfig::GBM
    epoxy::epoxy Libdrm::Libdrm Qt::GuiPrivate
)

set_target_properties(KPipeWireDmaBuf PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

ecm_generate_export_header(KPipeWireDmaBuf
    BASE_NAME KPipeWireDmaBuf
    VERSION ${PROJECT_VERSION}
)

ecm_generate_headers(KPipeWireDmaBuf_HEADERS
  HEADER_NAMES
    DmaBufHandler
  REQUIRED_HEADERS KPipeWireDmaBuf_HEADERS
)

install(FILES
  ${KPipeWireDmaBuf_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kpipewiredmabuf_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

add_library(KPipeWireRecord ${kpipewirerecord_SRCS}
                            pipewirebaseencodedstream.cpp
                            pipewireencodedstream.cpp
                            pipewirerecord.cpp
                            pipewireproduce.cpp
                            encoder.cpp
                            gifencoder.cpp
                            h264vaapiencoder.cpp
                            libx264encoder.cpp
                            libopenh264encoder.cpp
                            libvpxencoder.cpp
                            libvpxvp9encoder.cpp
                            libwebpencoder.cpp
)
target_link_libraries(KPipeWireRecord PUBLIC KPipeWire Qt6::QmlIntegration
    PRIVATE Qt::Core Qt::Gui KF6::CoreAddons KPipeWireDmaBuf
    PkgConfig::AVCodec PkgConfig::AVUtil PkgConfig::AVFormat PkgConfig::AVFilter PkgConfig::GBM PkgConfig::SWScale
    epoxy::epoxy Libdrm::Libdrm
)

ecm_generate_headers(KPipeWireRecord_HEADERS
  HEADER_NAMES
  PipeWireRecord
  PipeWireEncodedStream
  PipeWireBaseEncodedStream
  REQUIRED_HEADERS KPipeWireRecord_HEADERS
)
set_target_properties(KPipeWireRecord PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

install(FILES
  ${KPipeWireRecord_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kpipewire_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

install(TARGETS KPipeWire KPipeWireRecord KPipeWireDmaBuf EXPORT KPipeWireTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_setup_version(PROJECT VARIABLE_PREFIX KPIPEWIRE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpipewire_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfigVersion.cmake"
                        SOVERSION ${PROJECT_VERSION_MAJOR})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPipeWire")
install(EXPORT KPipeWireTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPipeWireTargets.cmake NAMESPACE K::)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KPipeWireConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )
install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


#################
# Declarative

ecm_add_qml_module(KPipeWire URI "org.kde.pipewire" VERSION 1.0 GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)
ecm_finalize_qml_module(KPipeWire DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_add_qml_module(KPipeWireRecord URI "org.kde.pipewire.record" VERSION 1.0 GENERATE_PLUGIN_SOURCE)
ecm_finalize_qml_module(KPipeWireRecord DESTINATION ${KDE_INSTALL_QMLDIR})

add_subdirectory(monitors)

=== tests/CMakeLists.txt ===
find_package(Qt6 REQUIRED COMPONENTS WaylandClient)
find_package(Wayland REQUIRED COMPONENTS Client)

add_library(PipeWireScreencastingTest STATIC screencasting.cpp screencastingrequest.cpp)

qt_add_dbus_interface(
   SRCS
   org.freedesktop.portal.ScreenCast.xml
   xdp_dbus_screencast_interface
)

qt_add_dbus_interface(
   SRCS
   org.freedesktop.portal.RemoteDesktop.xml
   xdp_dbus_remotedesktop_interface
)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(PipeWireScreencastingTest
    ${private_code_option}
    FILES ${PLASMA_WAYLAND_PROTOCOLS_DIR}/zkde-screencast-unstable-v1.xml
)

target_link_libraries(PipeWireScreencastingTest PUBLIC Wayland::Client Qt::DBus Qt::GuiPrivate KPipeWire Qt::WaylandClient)

add_executable(recordme main.cpp recordme.qrc PlasmaRecordMe.cpp)
target_link_libraries(recordme PipeWireScreencastingTest Qt::Quick)

add_executable(kpipewireheadlesstest HeadlessTest.cpp ${SRCS})
target_link_libraries(kpipewireheadlesstest PipeWireScreencastingTest KPipeWireDmaBuf KPipeWireRecord KF6::CoreAddons)

#########

qt_add_dbus_interface(
   XDP_SRCS
   org.freedesktop.portal.ScreenCast.xml
   xdp_dbus_screencast_interface
)

add_executable(xdp-recordme xdp-main.cpp recordme.qrc ${XDP_SRCS} RecordMe.cpp)
target_link_libraries(xdp-recordme Qt::DBus Qt::Quick KPipeWire Wayland::Client Qt::WaylandClient )

option(INSTALL_TESTS "The recordme test needs installing, disabled by default for convenience" OFF)
if(INSTALL_TESTS)
   configure_file(org.kde.recordme.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.recordme.desktop @ONLY)
   configure_file(org.kde.kpipewireheadlesstest.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kpipewireheadlesstest.desktop @ONLY)

   install(TARGETS recordme kpipewireheadlesstest DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.recordme.desktop DESTINATION ${KDE_INSTALL_APPDIR})
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kpipewireheadlesstest.desktop DESTINATION ${KDE_INSTALL_APPDIR})
   install(TARGETS xdp-recordme DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

add_executable(webcamtest webcamtest.cpp webcamtest.qml webcamtest.qrc)
target_link_libraries(webcamtest Qt::Quick KPipeWire)

=== debian/changelog ===
kpipewire (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:57 +0000

kpipewire (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:38 +0100

=== debian/control ===
Source: kpipewire
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libdrm-dev (>= 2.4.62~),
               libegl-dev,
               libepoxy-dev (>= 1.3~),
               libgbm-dev,
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libpipewire-0.3-dev,
               libswscale-dev,
               libva-dev,
               libwayland-dev,
               libxkbcommon-dev,
               pipewire-bin,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0+dfsg~),
               qt6-base-private-dev (>= 6.9.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0+dfsg~),
               qt6-declarative-private-dev (>= 6.9.0+dfsg~),
               qt6-wayland-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kpipewire
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
Rules-Requires-Root: no

Package: libkpipewire-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE's Pipewire libraries - data files
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library data files.

Package: libkpipewire-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire6 (= ${binary:Version}),
         libkpipewiredmabuf6 (= ${binary:Version}),
         libkpipewirerecord6 (= ${binary:Version}),
         libpipewire-0.3-dev,
         qml6-module-org-kde-pipewire (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0+dfsg~),
         ${misc:Depends},
Description: KDE's Pipewire libraries - development files
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library development files.

Package: libkpipewire6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewire6 library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewire main library.

Package: libkpipewiredmabuf6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewiredmabuf6
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewiredmabuf library.

Package: libkpipewirerecord6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewirerecord6
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewirerecord library.

Package: qml6-module-org-kde-pipewire
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - QML module
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the QtQuick module.

## kpipewire 6.5.1+p24.04+vstable+git20251029.0813

=== debian/changelog ===
kpipewire (6.5.1+p24.04+vstable+git20251029.0813-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:13:20 +0000

kpipewire (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:13:18 +0000

## kpipewire 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)

=== debian/changelog ===
kpipewire (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:22:58 +0100

kpipewire (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:08:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libavcodec-dev,
@@ -20,8 +19,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.2.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -30,16 +29,15 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.9.0+dfsg~),
-               qt6-base-private-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.0+dfsg~),
-               qt6-wayland-dev (>= 6.9.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-private-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
+               qt6-wayland-dev (>= 6.6.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
 
 Package: libkpipewire-data
 Architecture: all
@@ -59,7 +57,7 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qml6-module-org-kde-pipewire (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0+dfsg~),
+         qt6-base-dev (>= 6.6.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
  Components for rendering and recording PipeWire streams using Qt.

## kpipewire 6.5.2+p24.04+vunstable+git20251114.0659

=== debian/changelog ===
kpipewire (6.5.2+p24.04+vunstable+git20251114.0659-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 14 Nov 2025 06:59:08 +0000

kpipewire (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:55 +1000

## kpipewire 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)

=== debian/changelog ===
kpipewire (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:11 +0100

## kpipewire 6.5.3+p24.04+vunstable+git20251122.2334

=== debian/changelog ===
kpipewire (6.5.3+p24.04+vunstable+git20251122.2334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:34:05 +0000

kpipewire (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:29 +1000

## kpipewire 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)

=== debian/changelog ===
kpipewire (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:25 +0000

kpipewire (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:58 +0000

kpipewire (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -19,8 +20,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -29,15 +30,16 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
-               qt6-wayland-dev (>= 6.6.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.9.0+dfsg~),
+               qt6-base-private-dev (>= 6.9.0+dfsg~),
+               qt6-declarative-dev (>= 6.9.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.0+dfsg~),
+               qt6-wayland-dev (>= 6.9.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Rules-Requires-Root: no
 
 Package: libkpipewire-data
 Architecture: all
@@ -57,7 +59,7 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qml6-module-org-kde-pipewire (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.9.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
  Components for rendering and recording PipeWire streams using Qt.
@@ -100,9 +102,7 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .

## kpipewire 6.5.4+p24.04+vstable+git20251231.0058

=== debian/changelog ===
kpipewire (6.5.4+p24.04+vstable+git20251231.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 00:58:35 +0000

kpipewire (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:44 +1000

## kpipewire 6.5.4+p24.04+vstable+git20260105.0810

=== debian/changelog ===
kpipewire (6.5.4+p24.04+vstable+git20260105.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:10:24 +0000

## kpipewire 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)

=== debian/changelog ===
kpipewire (6.5.5-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 21:18:52 +0000

kpipewire (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:15 +1000

## kpipewire 6.5.5+p24.04+vstable+git20260122.0437

=== debian/changelog ===
kpipewire (6.5.5+p24.04+vstable+git20260122.0437-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:37:19 +0000

## kpipewire 6.5.5+p24.04+vstable+git20260131.0212

=== debian/changelog ===
kpipewire (6.5.5+p24.04+vstable+git20260131.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:12:07 +0000

## kpipewire 6.5.5+p24.04+vunstable+git20260201.0621

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(KF6_MIN_VERSION "6.18.0")
+set(KF6_MIN_VERSION "6.22.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 include(KDEInstallDirs)
@@ -27,7 +27,7 @@
 
 find_package(EGL REQUIRED)
 
-pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3 REQUIRED)
+pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3>=0.3.33 REQUIRED)
 
 # ffmpeg, for recording
 pkg_check_modules(AVCodec IMPORTED_TARGET libavcodec REQUIRED)

=== debian/changelog ===
kpipewire (6.5.5+p24.04+vunstable+git20260201.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:21:02 +0000

## kpipewire 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)

=== debian/changelog ===
kpipewire (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update symbols.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:24 +0000

kpipewire (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:01 +0000

kpipewire (6.5.4-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 12:04:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                libavcodec-dev,
                libavfilter-dev,
@@ -20,8 +20,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -30,11 +30,11 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.9.0+dfsg~),
-               qt6-base-private-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.0+dfsg~),
-               qt6-wayland-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0+dfsg~),
+               qt6-base-private-dev (>= 6.10.0+dfsg~),
+               qt6-declarative-dev (>= 6.10.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.10.0+dfsg~),
+               qt6-wayland-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
@@ -59,7 +59,7 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qml6-module-org-kde-pipewire (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0+dfsg~),
+         qt6-base-dev (>= 6.10.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
  Components for rendering and recording PipeWire streams using Qt.
@@ -102,7 +102,9 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .

## kpipewire 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)

=== debian/changelog ===
kpipewire (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:49 +0000
